local Rx = require 'Rx'
local observableOfWithScheduler = Rx.Observable.ofWithScheduler
local Scheduler = Rx.Scheduler

--------------------------------------------------------------------------------

return function(...)

    return observableOfWithScheduler(Scheduler.currentThread(), ...)

end
